Bug 1459217 - [RFE] Azure managed images not discovered
[RFE] Azure managed images not discovered
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.1
Assigned To: Daniel Berger
Jeff Teehan
provider:azure:images
: FutureFeature, ZStream
Depends On: 1439815
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 10:41 EDT by Satoe Imaishi
Modified: 2017-08-02 13:26 EDT (History)
14 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1439815
Environment:
Last Closed: 2017-08-02 13:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Azure


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Polarion Requirement RHCF3-19934 None None None 2017-06-30 19:04 EDT

  None (edit)
Comment 2 CFME Bot 2017-06-06 10:48:19 EDT
New commit detected on ManageIQ/manageiq-providers-azure/fine:
https://github.com/ManageIQ/manageiq-providers-azure/commit/2864c7bf35dab09955cdf51f87455b841d5dd2f8

commit 2864c7bf35dab09955cdf51f87455b841d5dd2f8
Author:     Marcel Hild <hild@b4mad.net>
AuthorDate: Mon Apr 24 20:08:59 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jun 6 10:43:09 2017 -0400

    Merge pull request #51 from djberg96/api_versions2
    
    Refactor service creation, lock down api-version strings
    (cherry picked from commit 2aefc8dc7869ce26fcb7c38ea255f8760663cf41)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459217

 .../azure/cloud_manager/refresh_parser.rb          | 16 +++---
 .../azure/network_manager/refresh_parser.rb        | 12 ++--
 .../providers/azure/refresh_helper_methods.rb      | 66 ++++++++++++++++++++++
 config/settings.yml                                | 11 ++++
 4 files changed, 91 insertions(+), 14 deletions(-)
Comment 3 CFME Bot 2017-06-08 12:48:09 EDT
New commit detected on ManageIQ/manageiq-providers-azure/fine:
https://github.com/ManageIQ/manageiq-providers-azure/commit/5e1fb1c45b5671b7c891658cf8e19ef28740e83c

commit 5e1fb1c45b5671b7c891658cf8e19ef28740e83c
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Wed May 10 15:02:39 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jun 8 12:38:59 2017 -0400

    Merge pull request #65 from djberg96/managed_images2
    
    Add support for managed images
    (cherry picked from commit 3212ee2ae4a477426434325e3704e003245de89b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459217

 .../azure/cloud_manager/provision/cloning.rb       |   24 +-
 .../azure/cloud_manager/refresh_parser.rb          |   33 +
 .../providers/azure/refresh_helper_methods.rb      |    6 +
 config/settings.yml                                |    1 +
 manageiq-providers-azure.gemspec                   |    2 +-
 .../azure/cloud_manager/provision_spec.rb          |   73 +-
 .../azure/cloud_manager/refresher_spec.rb          |   56 +-
 .../providers/azure/cloud_manager/refresher.yml    | 6050 +++++++++++---------
 8 files changed, 3520 insertions(+), 2725 deletions(-)
Comment 6 errata-xmlrpc 2017-08-02 13:26:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.